package com.cool.store.service;

import com.cool.store.context.LoginUserInfo;
import com.cool.store.request.*;
import com.cool.store.vo.AssessmentUserTrainingVO;
import com.cool.store.vo.EmployeeTrainingDetailVO;
import com.cool.store.vo.EmployeeTrainingVO;
import com.cool.store.vo.EmployeeUserTrainingVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @author byd
 * @date 2024-04-30 10:16
 */
public interface EmployeeTrainingService {

    PageInfo<EmployeeTrainingVO> employeeTrainingList(String userId, EmployeeTrainingRequest request);

    EmployeeTrainingDetailVO employeeTrainingDetail(Long id);

    void distribution(EmployeeTrainingDetailRequest request);

    List<EmployeeTrainingVO> trainingListByShopId(Long shopId);

    PageInfo<EmployeeTrainingVO> trainerUserList(String userId, Integer status, Integer pageNum, Integer pageSize);

    EmployeeUserTrainingVO trainerUserDetail(Long id);

    void trainerUserCommit(EmployeeTrainingCommitListRequest request);

    PageInfo<EmployeeTrainingVO> assessmentUserList(String userId, EmployeeAssessmentRequest request);

    AssessmentUserTrainingVO assessmentUserDetail(Long id);

    void turn(Long id, String userId, String turnUserId);

    void assessmentUserCommit(EmployeeAssessmentCommitListRequest request, LoginUserInfo userId);
}
